package com.qiqiim.webserver.user.dao;
import java.util.List;
import java.util.Map;

import com.qiqiim.webserver.base.dao.BaseDao;
import com.qiqiim.webserver.user.model.ConsultantManagerEntity;
import com.qiqiim.webserver.user.model.UserAccountEntity;
import org.apache.ibatis.annotations.Param;


public interface UserAccountDao extends BaseDao<UserAccountEntity> {
	public UserAccountEntity queryObjectByAccount(Map<String, Object> map);

	public long getUserDept(Long userId);

	public List getAllLongTimeUserId();

	public int deleteLongTimeUser(List<Long> list);

	public List<ConsultantManagerEntity> getAllConsultant(@Param(value = "tiaojian") String tiaojian);

	public int updateConsultantDept(@Param(value = "deptName") String deptName, @Param(value = "id") long id);

	public int updateConsultantPassword(@Param(value = "password") String password, @Param(value = "id") long id);

	public int updateConsultantRemark(@Param(value = "remark") String remark, @Param(value = "id") long id);

	public int updateConsultantPhone(@Param(value = "phone") String phone, @Param(value = "id") long id);

	public int updateConsultantName(@Param(value = "name") String name, @Param(value = "id") long id);
}
